Subject: Re: bug#61577: 30.0.50; project-try-vc missing vc-got

From: Dmitry Gutov <[email-masked]>
Date: Sat, 18 Feb 2023 01:27:47 +0200

On 17/02/2023 19:34, Omar Polo wrote:
> actually, isn't at least CVS missing too?

CVS, RCS, SCCS and SRC never were supported before because they don't 
define the method vc-*-root.

The reason for that is they're not tree-based: every subdirectory of a 
CVS project contains a CVS subdir.

Now that we stopped delegating the root-finding logic to VC, we could 
probably do something about CVS as well, but just your change won't cut 
it, I think, because with it the search will always return the current 
directory, rather than the actual root.